#!/bin/bash

# Set Basepc
export basepc=$(hostname -s)

# Path from install volume
export prefix=@HYPERION_ENV_ROOT@
export PATH="${prefix}/bin:$PATH"
#export challenge_prefix=@HYPERION_CHALLENGE_ENV_ROOT@
#export PATH="${challenge_prefix}/bin:$PATH"


@ENVFILE_default_paths@
@ENVFILE_ros@

@ENVFILE_default_config@
# Default to sim
@ENVFILE_sim_gazebo@

#Map/World paths
#export PATH_TO_MAPS_SIM="${prefix}/share/robocup_data/maps"  
#Simulation map/world
#export NAVIGATION_MAP="${PATH_TO_MAPS_SIM}/carry_my_luggage_simple.yaml"
#export SIMULATION_WORLD="centralLab"

#alternative Simulation map/world
export NAVIGATION_MAP="${PATH_TO_MAPS}/sim/centralLab.yaml"
export SIMULATION_WORLD="centralLab_actor"

# Pose where the robot is spawned
export SPAWN_POSE_X="0"
export SPAWN_POSE_Y="0"
export SPAWN_POSE_ANGLE="0"

### Configs

#ECWM World
export ECWM_WORLD_FILE="${PATH_TO_ECWM_WORLDS}/world.yaml"

#Bonsai Task
export PATH_TO_BONSAI_TASK="${PATH_TO_BONSAI_ROBOCUPTASKS_SCXML}/tasks2025/carry_my_luggage.xml"

#pocketsphinx_grammars
export PSA_CONFIG="${PATH_TO_PSA_CONFIG}/tasks/carrymyluggage/carrymyluggage.conf"

# Bayes People Tracker
export BAYES_PEOPLE_TRACKER_CONFIG_FILE="${prefix}/share/bayes_people_tracker/config/detectors_no_leg_detector.yaml"

